Cloady Docs
API ReferenceEndpointsApplications

Add a notification channel

Slack and webhook channels take `url`, PagerDuty takes `routingKey`. Needs the admin role.

POST
/api/workspaces/{workspaceSlug}/apps/{appSlug}/channels
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string
appSlug*string

Query Parameters

env?string

Value in

  • "production"
  • "preview"
  • "development"
region?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/apps/string/channels" \  -H "Content-Type: application/json" \  -d '{    "kind": "slack",    "name": "string"  }'
{  "channel": {    "id": "string",    "kind": "slack",    "name": "string",    "target": "string",    "enabled": true  }}